/* pre-loader */
.pre-loader {
    position: fixed;
    top: 0;
    width: 100%;
    height: 100vh;
    background: black;
    z-index: 99;
    display: flex;
    align-items: center;
    justify-content: center;
}

.pre-loader .inner {
    display: flex;
}

.pre-loader .inner span {
    display: block;
    animation: jump 1s cubic-bezier(0.13, 0.69, 0.28, 1) 2 alternate;
}

.pre-loader .inner span:nth-child(1) {
    animation-delay: 0.1s;
}

.pre-loader .inner span:nth-child(2) {
    animation-delay: 0.2s;
}

.pre-loader .inner span:nth-child(3) {
    animation-delay: 0.3s;
}

.pre-loader .inner span:nth-child(4) {
    animation-delay: 0.4s;
}

.pre-loader .inner span:nth-child(5) {
    animation-delay: 0.5s;
}

.pre-loader .inner span:nth-child(6) {
    animation-delay: 0.6s;
}

.pre-loader .inner span:nth-child(7) {
    animation-delay: 0.7s;
}

.pre-loader .inner span:nth-child(8) {
    animation-delay: 0.8s;
}

.pre-loader .inner span:nth-child(9) {
    animation-delay: 0.9s;
}

@keyframes jump {
    0% {
        transform: translateY(-0%) rotate(0deg) scale(1);
    }

    100% {
        transform: translateY(-90%) rotate(365deg) scale(1);
    }
}

/* background video  */
.background-video {
    position: fixed;
    top: 0;
    left: 0;
    z-index: -2;
    width: 100vw;
    height: 100vh;
}

.background-video::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #000000c0;
}

.theme-color {
    color: #C9F31D;
}

.theme-bg {
    background-color: #C9F31D;
}

.theme-border {
    border-color: #C9F31D;
}

a:hover {
    color: #C9F31D !important;
}

.white-space {
    white-space: pre-line;
}

.tilt {
    transform: rotate(-3deg);
}

.marquee {
    position: relative;
    animation: banner 20s linear infinite alternate;
}

.marquee::before {
    content: '';
    position: absolute;
    background-color: #C9F31D;
    width: 400%;
    height: 1px;
    top: 40px;
    left: 0;
}

.marquee::after {
    content: '';
    position: absolute;
    background-color: #C9F31D;
    width: 400%;
    height: 1px;
    bottom: 35px;
    left: 0;
}

@keyframes banner {

    0% {
        transform: translateX(0%) skewY(-2deg);
    }

    100% {
        transform: translateX(-1000px) skewY(-2deg);
    }

}

.bg-image {
    background-image: url(/assets/images/backgrounds/flip.png);
    background-repeat: no-repeat;
    background-position: 100%;
    background-size: contain;
}

.morphism {
    backdrop-filter: blur(15px);
}

.morphism-black {
    background-color: rgba(0, 0, 0, 0.742);
    backdrop-filter: blur(15px);
}

a {
    text-decoration: none;
}

i {
    width: 22px;
    text-align: center;
}

/* form  */
.title::before {
    width: 20px;
    height: 20px;
}

.title::after {
    width: 20px;
    height: 20px;
    animation: diffuse 1s linear infinite;
}

.title::before,
.title::after {
    position: absolute;
    content: "";
    height: 20px;
    width: 20px;
    border-radius: 50%;
    left: -2px;
    top: 31%;
    background-color: #C9F31D;
}

@keyframes diffuse {
    from {
        transform: scale(1);
        opacity: 1;
    }

    to {
        transform: scale(2);
        opacity: 0;
    }
}

.form label .input {
    padding: 10px 5px 5px 5px;
    border: 2px solid #a7acb18f;
}

.form label .input+span {
    position: absolute;
    left: 5px;
    top: -10px;
    cursor: text;
    padding: 5px;
    letter-spacing: 1px;
    border-radius: 8px;
    transition: 0.3s ease;
}

.form label .input:placeholder-shown+span {
    top: 5px;
    font-size: 0.9em;
}

.form label .input:focus+span,
.form label .input:valid+span {
    top: -14px;
    left: 10px;
    background-color: black;
    font-size: 0.8em;
    font-weight: bold;
}

input:focus {
    outline: none;
}